<script>
  const { nativeImage, clipboard } = require("electron");
  export let meme;
  export let index;

  function copy(event) {
    let image = nativeImage.createFromPath(meme.path.replace(/\\/g, "/"));
    clipboard.writeImage(image);
    console.log(image.getSize());
  }
</script>

<style>
  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .cover {
    overflow: hidden;
    outline: none;
    position: relative;
  }

  .border {
    border: 3px solid var(--orange-30);
    background: rgba(247, 117, 90, 0.2);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
  }

  .cover:focus > .border {
    opacity: 100;
  }
</style>

<div
  class="cover tran-300 cursor-pointer mb-010 meme-item"
  tabindex={index}
  id={index}
  on:click={copy}>
  <div class="border tran-200 br-025" />
  <img class="br-025" src={meme.path} />
</div>
